Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161578 - incorrect names in SOL_IP sockopt decoding
Summary: incorrect names in SOL_IP sockopt decoding
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 162449 162450
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 15:49 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 23:34:46 UTC


Attachments (Terms of Use)
Fix for the long<->int mixup (deleted)
2005-06-24 15:49 UTC, Ulrich Drepper
no flags Details | Diff
Fix for option strings (deleted)
2005-06-24 15:51 UTC, Ulrich Drepper
no flags Details | Diff
Path for add more IPv6 option decoding (deleted)
2005-06-25 07:48 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2005-06-24 15:49:37 UTC
Description of problem:
There are two problems with setsockopt decoding:
1. the numerical parameter pointed to by the fourth parameter is handled as a
long, not int.  This leads to incorrect output on 64bit archs
2. two SOL_IP parameters have the wrong output string.

Version-Release number of selected component (if applicable):
4.5.12-1

How reproducible:
always

Steps to Reproduce:
1.run code using setsockopt on 64bit platform
2.
3.
  
Actual results:
setsockopt(3, SOL_IP, IP_RECRECVTTL, [4294967297], 4) = 0


Expected results:
setsockopt(3, SOL_IP, IP_RECVTTL, [1], 4) = 0


Additional info:
I'll attach two patches.

Comment 1 Ulrich Drepper 2005-06-24 15:49:37 UTC
Created attachment 115939 [details]
Fix for the long<->int mixup

Comment 2 Ulrich Drepper 2005-06-24 15:51:23 UTC
Created attachment 115940 [details]
Fix for option strings

Comment 3 Ulrich Drepper 2005-06-25 07:48:27 UTC
Created attachment 115969 [details]
Path for add more IPv6 option decoding

One more setsockopt problem: some IPv6 options are not support.  The patch adds
the necessary support.

Comment 4 Roland McGrath 2005-07-04 23:34:46 UTC
Fixed upstream.  Please file separate bugs for separate issues.
Please include ChangeLog entries with patches.


Note You need to log in before you can comment on or make changes to this bug.